// packageD/couponList/couponList.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    getListData: [],
    //more
    isLoadMore: true,
    page: 1,
    total_page: 0,
    selected: 0,
    name: ''
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    this.getList();
  },
  getList() {
    let that = this;
    let urlStr = app.getNetAddresss("plugin.coupon-qr.api.index.getList");
    app._postNetWork({
      url: urlStr,
      showToastIn: false,
      data: {
        name: this.data.name
      },
      success: function(resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            ['getListData[0]']: res.data.data,
            total_page: res.data.last_page
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });
        }

      },
      fail: function(res) {}
    });
  },
  searchbtn(e) {
    let val = e.detail.value;
    this.setData({
      name: val
    });
  },
  searchConfirm(e) {
    this.getList();
  },
  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {

  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {

  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {
    if (this.data.isLoadMore) {
      this._getMoreData();
    } else {
      console.log('没有更多数据');
    }
  },
  _getMoreData() {
    var that = this;
    let urlStr = app.getNetAddresss("plugin.coupon-qr.api.index.getList");
    if (this.data.page >= this.data.total_page) {
      that.setData({
        isLoadMore: false,
        name: this.data.name
      });
      return;
    } else {
      that.setData({
        page: that.data.page + 1
      });
      app._postNetWork({
        url: urlStr,
        showToastIn: false,
        data: {
          page: this.data.page
        },
        success: function(resdata) {
          var res = resdata.data;
          if (res.result == 1) {
            that.setData({
              isLoadMore: true,
              ['getListData[' + that.data.getListData.length + ']']: res.data.data
            });
          } else {
            that.setData({
              page: that.data.page - 1,
              isLoadMore: false
            });
            return;
          }

        },
        fail: function(res) {}
      });
    }
  },
  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {

  },
  couponcodebtn(e) {
    let id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: "/packageC/couponcode/couponcode?id=" + id
    });
  }
});
